combo = {
    '_':'RRR',
    'a':'UUUUURRRDDDLLRRDD',
    'b':'URRRDDLLLDDDRRRUU',
    'c':'DLLLUUUUURRRD',
    'd':'RRDRDDDLDLLUUUU',
    'e':'LLLDDRRLLDD',
    'f':'UURRLLUUURRR',
    'g':'LLLDDDDDRRRUUL',
    'h':'DDDDDUURRRUUUDDDDD',
    'i':'LLLRUUUUULRRR',
    'j':'DRRUUUUURLLL',
    'k':'ULULLDDUUUUUDDRRURU',
    'l':'DDDDDRRRU',
    'm':'UUUUUDRDRURUDDDDD',
    'n':'UUUUUDDRDRDRDUUUUU',
    'o':'DDDDDRRRUUUUULL',
    'p':'UURRRUUULLLDD',
    'q':'DDDDDRRURUUUULL',
    'r':'LUURUUULLLDDDDDUUR',
    's':'LLLDDDRRRDDLLL',
    't':'UUUUULRRR',
    'u':'DDDDDRRRUUUUU',
    'v':'DDDDRDRURUUUU',
    'w':'DDDDRDURURDDUUUUU',
    'x':'DRDDDLDURRRDULUUURU',
    'y':'RRRUUUUUDDDLLLUUU',
    'z':'RRRDDLDLDLDRRR',
    '0':'DDDDDDRRUUUUUUL',
    '1':'RURDDDDDD',
    '2':'RURRDDDLLDDDRRU',
    '3':'RURRDDDLLRRDDDLLU',
    '4':'DDDRRUUUDDDDDD',
    '5':'ULLDDDRRDDDLLU',
    '6':'ULLDDDDDDRRUUUL',
    '7':'URRDDDLRDDD',
    '8':'RUULLDDDDDDRRUUU',
    '9':'DRRUUUUUULLDDDR',
}

# UUUUURRRDDLL == P
# DDDRRUUUDDDDDD == 4
# DDDDDLLUUDDLLUUUUU == W
# RRUUULLUUURR == 5
# LLL == _
# LLLDDDDDRRRUUL == G
# LLUUUUUURRDDDDD == 0
# RRR == _
# DDDDRRRU == L
# ULLLDDDD == R
# DDLLLDDRRRU = D
# DDDDRRRUUUU = U

# UUUUURRRDDLLSDDDRRUUUDDDDDDSDDDDDLLUUDDLLUUUUUSRRUUULLUUURRSLLLSLLLDDDDDRRRUULSLLUUUUUURRDDDDDSRRRSDDDDRRRUSULLLDDDDSDDLLLDDRRRUSDDDDRRRUUUU